Skip to main content
GET
/
billing
/
credits
/
history
Get Credit History
curl --request GET \
  --url https://api.example.com/billing/credits/history \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "kind": "<string>",
      "amount": 123,
      "action": "<string>",
      "job_id": "<string>",
      "subscription_balance_after": 123,
      "purchased_balance_after": 123,
      "created_at": "<string>"
    }
  ],
  "has_more": true,
  "next_cursor": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer
default:50
Required range: 1 <= x <= 200
after
string | null

Response

Successful Response

data
CreditTransactionOut · object[]
required
has_more
boolean
required
next_cursor
string | null